# Class CIM_RealizesAggregatePExtent
extends CIM_RealizesExtent

AggregatePExtents are realized on a PhysicalMedia. This is described by RealizesAggregatePExtent. However, there is no need for the specificity of this association. It is deprecated in lieu of the generic RealizesExtent relationship.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_Realizes
|
+--CIM_RealizesExtent
|
+--CIM_RealizesAggregatePExtent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_RealizesExtent
Description | string | AggregatePExtents are realized on a PhysicalMedia. This is described by RealizesAggregatePExtent. However, there is no need for the specificity of this association. It is deprecated in lieu of the generic RealizesExtent relationship.
UMLPackagePath | string | CIM::Device::SccExtents
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_RealizesAggregatePExtent | CIM_PhysicalMedia
Dependent | CIM_RealizesAggregatePExtent | CIM_AggregatePExtent

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
StartingAddress | uint64 | CIM_RealizesExtent

## Class Methods